{% extends 'base_3.html' %}
{% load i18n %}
{% load static %}
{% block content %}
<main id="main">

    <!-- ======= Intro Single ======= -->
    <section class="intro-single">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-lg-8">
                    <div class="title-single-box">
                        <h1 class="title-single">{% trans "Summary" %}</h1>
                        <span class="color-text-a">{% trans "Check-In" %}: <small>{% trans "Make a Booking" %}</small> {{ hotel.Name }}</span>
                        <!-- <small>{{ hotel.Address }},{{ hotel.City }},{{ hotel.Country }}</small>      -->
                    </div>
                </div>
            </div>
        </div>
    </section><!-- End Intro Single-->



    <!-- ======= Contact Single ======= -->
    <section class="contact">
        <div class="container">
            <div class="row">

                <div class="col-6 col-md-4">
                    <div class="icon-box section-b2">
                        <div class="icon-box-icon">
                            <span class="ion-ios-paper-plane"></span>
                        </div>
                        <div class="icon-box-content table-cell">
                            <div class="icon-box-title">
                                <h4 class="icon-title">{% trans "Price" %}</h4>
                            </div>
                            <div class="icon-box-content">
                                <p class="mb-1">{% trans "Price Per Night" %}
                                    <span class="color-a">{{ room.price }}</span>
                                </p>
                                <p class="mb-1">{% trans "Total Price" %}.
                                    <span class="color-a">{{ room.price }} x {{ stayduration }} {% trans "Nights" %} =
                                        {{ totalcost }}</span>
                                </p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-6 col-md-4">
                    <div class="icon-box section-b2">
                        <div class="icon-box-icon">
                            <span class="ion-ios-pin"></span>
                        </div>

                        <div class="icon-box-content table-cell">
                            <div class="icon-box-title">
                                <h4 class="icon-title">{% trans "CheckIn & CheckOut" %}</h4>
                            </div>
                            <div class="icon-box-content">
                                <p class="mb-1">{% trans "Stay" %}: {{ stayduration }} {% trans "Nights" %}.</p>
                                <p class="mb-1">{% trans "Check-in" %}: {{ checkin }}</p>
                                <p class="mb-1">{% trans "Check-out" %}: {{ checkout }}</p>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-6 col-md-4">
                    <div class="icon-box">
                        <div class="icon-box-icon">
                            <span class="ion-ios-redo"></span>
                        </div>

                        <div class="icon-box-content table-cell">
                            <div class="icon-box-title">
                                <h4 class="icon-title">{% trans "Your Room" %}: {{ room.room_type }}</h4>
                            </div>
                            <div class="icon-box-content">
                                <p class="mb-1">{% trans "Max Occupents" %}: {{room.capacity}} people. </p>
                                <p class="mb-1">{% trans "Beds Provided" %}: {{room.bed_option}}.</p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                <!-- after reviewing the Reservation details the user enters their First and Last name to make a booking -->
                <form method="POST" role="form" 
                    action="{% url 'reservation:booking_create' room.id hotel.id checkin checkout totalcost  %}">
                    {% csrf_token %}
                    <div class="row">
                        <div class="col-md-6 mb-3">
                            <div class="form-group">
                                <input type="text" name="firstname" id="first"
                                    class="form-control form-control-lg form-control-a" placeholder="{% trans 'Guest First Name' %}"
                                    data-rule="minlen:4" data-msg="Please enter at least 4 chars">
                                <div class="validate"></div>
                            </div>
                        </div>
                        <div class="col-md-6 mb-3">
                            <div class="form-group">
                                <input name="lastname" type="text" id="last"
                                    class="form-control form-control-lg form-control-a" placeholder="{% trans 'Guest Last Name' %}"
                                    data-rule="minlen:4" data-msg="Please enter at least 4 chars">
                                <div class="validate"></div>
                            </div>
                        </div>

                        <div class="col-md-12 text-center">
                            <button type="submit" class="btn btn-a">{% trans "Book Now" %}!</button>
                            <!-- <button type="submit" class="btn btn-success">Book Now!</button> -->
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </section><!-- End Contact Single-->
</br>

    <a href="#" class="back-to-top"><i class="fa fa-chevron-up"></i></a>
</main>
{% endblock %}